import logging.config
from fastapi import FastAPI
from .logs import default_log_config
from .routing import HttpizeErrorsAPIRouter


def init_app(app: FastAPI, verbose: bool = False) -> FastAPI:
    app.router = HttpizeErrorsAPIRouter.from_app(app)
    app.middleware_stack = app.build_middleware_stack()
    logging.config.dictConfig(default_log_config(verbose))
    return app
